diff --git a/main.asm b/main.asm
index 0d81c646..b3e2074b 100755
--- a/main.asm
+++ b/main.asm
@@ -106974,7 +109523,7 @@ Lab4Blocks: ; 75e10 (1d:5e10)
 CinnabarPokecenter_h: ; 0x75e20 to 0x75e2c (12 bytes) (id=171)
 	db $06 ; tileset
 	db CINNABAR_POKECENTER_HEIGHT, CINNABAR_POKECENTER_WIDTH ; dimensions (y, x)
-	dw CinnabarPokecenterBlocks, CinnabarPokecenterTexts, CinnabarPokecenterScript ; blocks, texts, scripts
+	dw CinnabarPokecenterBlocks, CinnabarPokecenterTextPointers, CinnabarPokecenterScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw CinnabarPokecenterObject ; objects
@@ -106983,8 +109532,11 @@ CinnabarPokecenterScript: ; 75e2c (1d:5e2c)
 	call Func_22fa
 	jp EnableAutoTextBoxDrawing
 
-CinnabarPokecenterTexts: ; 75e32 (1d:5e32)
-	dw CinnabarPokecenterText1, CinnabarPokecenterText2, CinnabarPokecenterText3, CinnabarPokecenterText4
+CinnabarPokecenterTextPointers: ; 75e32 (1d:5e32)
+	dw CinnabarPokecenterText1
+	dw CinnabarPokecenterText2
+	dw CinnabarPokecenterText3
+	dw CinnabarPokecenterText4
 
 CinnabarPokecenterText1: ; 75e3a (1d:5e3a)
 	db $ff
@@ -107022,7 +109574,7 @@ CinnabarPokecenterObject: ; 0x75e46 (size=44)
 CinnabarMart_h: ; 0x75e72 to 0x75e7e (12 bytes) (id=172)
 	db $02 ; tileset
 	db CINNABAR_MART_HEIGHT, CINNABAR_MART_WIDTH ; dimensions (y, x)
-	dw CinnabarMartBlocks, CinnabarMartTexts, CinnabarMartScript ; blocks, texts, scripts
+	dw CinnabarMartBlocks, CinnabarMartTextPointers, CinnabarMartScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw CinnabarMartObject ; objects
@@ -107030,8 +109582,10 @@ CinnabarMart_h: ; 0x75e72 to 0x75e7e (12 bytes) (id=172)
 CinnabarMartScript: ; 75e7e (1d:5e7e)
 	jp EnableAutoTextBoxDrawing
 
-CinnabarMartTexts: ; 75e81 (1d:5e81)
-	dw CinnabarMartText1, CinnabarMartText2, CinnabarMartText3
+CinnabarMartTextPointers: ; 75e81 (1d:5e81)
+	dw CinnabarMartText1
+	dw CinnabarMartText2
+	dw CinnabarMartText3
 
 CinnabarMartText2: ; 75e87 (1d:5e87)
 	TX_FAR _CinnabarMartText2
@@ -107062,7 +109616,7 @@ CinnabarMartObject: ; 0x75e91 (size=38)
 CopycatsHouseF1_h: ; 0x75eb7 to 0x75ec3 (12 bytes) (id=175)
 	db $01 ; tileset
 	db COPYCATS_HOUSE_1F_HEIGHT, COPYCATS_HOUSE_1F_WIDTH ; dimensions (y, x)
-	dw CopycatsHouseF1Blocks, CopycatsHouseF1Texts, CopycatsHouseF1Script ; blocks, texts, scripts
+	dw CopycatsHouseF1Blocks, CopycatsHouseF1TextPointers, CopycatsHouseF1Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw CopycatsHouseF1Object ; objects
@@ -107070,8 +109624,10 @@ CopycatsHouseF1_h: ; 0x75eb7 to 0x75ec3 (12 bytes) (id=175)
 CopycatsHouseF1Script: ; 75ec3 (1d:5ec3)
 	jp EnableAutoTextBoxDrawing
 
-CopycatsHouseF1Texts: ; 75ec6 (1d:5ec6)
-	dw CopycatsHouseF1Text1, CopycatsHouseF1Text2, CopycatsHouseF1Text3
+CopycatsHouseF1TextPointers: ; 75ec6 (1d:5ec6)
+	dw CopycatsHouseF1Text1
+	dw CopycatsHouseF1Text2
+	dw CopycatsHouseF1Text3
 
 CopycatsHouseF1Text1: ; 75ecc (1d:5ecc)
 	TX_FAR _CopycatsHouseF1Text1
@@ -107111,14 +109667,14 @@ CopycatsHouseF1Object: ; 0x75ee3 (size=46)
 Gary_h: ; 75f11 (1d:5f11)
 	db $7 ;tileset
 	db $4, $4 ;Height, Width
-	dw GaryBlocks, GaryTexts, GaryScript
+	dw GaryBlocks, GaryTextPointers, GaryScript
 	db $0 ;No Connections
 
 	dw GaryObject
 
 GaryScript: ; 75f1d (1d:5f1d)
 	call EnableAutoTextBoxDrawing
-	ld hl, GaryScripts
+	ld hl, GaryScriptPointers
 	ld a, [W_GARYCURSCRIPT]
 	jp CallFunctionInTable
 
@@ -107128,7 +109684,7 @@ Function75f29: ; 75f29 (1d:5f29)
 	ld [W_GARYCURSCRIPT], a
 	ret
 
-GaryScripts: ; 75f31 (1d:5f31)
+GaryScriptPointers: ; 75f31 (1d:5f31)
 	dw GaryScript0
 	dw GaryScript1
 	dw GaryScript2
@@ -107139,7 +109695,7 @@ GaryScripts: ; 75f31 (1d:5f31)
 	dw GaryScript7
 	dw GaryScript8
 	dw GaryScript9
-	dw GaryScript10 ; 60b9
+	dw GaryScript10
 
 GaryScript0: ; 75f47 (1d:5f47)
 	ret
@@ -107236,7 +109792,7 @@ GaryScript4: ; 75fe4 (1d:5fe4)
 	ld a, $2
 	ld [$ff00+$8c], a
 	call SetSpriteMovementBytesToFF
-	ld de, Movement76014
+	ld de, MovementData_76014
 	ld a, $2
 	ld [$ff00+$8c], a
 	call MoveSprite
@@ -107248,8 +109804,8 @@ GaryScript4: ; 75fe4 (1d:5fe4)
 	ld [W_GARYCURSCRIPT], a
 	ret
 
-Movement76014: ; 76014 (1d:6014)
-	db $40,$40,$40,$40,$40,$ff
+MovementData_76014: ; 76014 (1d:6014)
+	db $40,$40,$40,$40,$40,$FF
 
 GaryScript5: ; 7601a (1d:601a)
 	ld a, [$d730]
@@ -107296,7 +109852,7 @@ GaryScript7: ; 7605f (1d:605f)
 	ld a, $5
 	ld [$ff00+$8c], a
 	call Function760c8
-	ld de, Movement76080
+	ld de, MovementData_76080
 	ld a, $2
 	ld [$ff00+$8c], a
 	call MoveSprite
@@ -107304,8 +109860,8 @@ GaryScript7: ; 7605f (1d:605f)
 	ld [W_GARYCURSCRIPT], a
 	ret
 
-Movement76080: ; 76080 (1d:6080)
-	db $40,$40,$ff
+MovementData_76080: ; 76080 (1d:6080)
+	db $40,$40,$FF
 
 GaryScript8: ; 76083 (1d:6083)
 	ld a, [$d730]
@@ -107355,8 +109911,12 @@ Function760c8; 0x760c8
 	ld [wJoypadForbiddenButtonsMask], a
 	ret
 
-GaryTexts: ; 760d6 (1d:60d6)
-	dw GaryText1, GaryText2, GaryText3, GaryText4, GaryText5
+GaryTextPointers: ; 760d6 (1d:60d6)
+	dw GaryText1
+	dw GaryText2
+	dw GaryText3
+	dw GaryText4
+	dw GaryText5
 
 GaryText1: ; 760e0 (1d:60e0)
 	db $08 ; asm
@@ -107437,7 +109997,7 @@ GaryBlocks: ; 7615f (1d:615f)
 Lorelei_h: ; 0x7616f to 0x7617b (12 bytes) (id=245)
 	db $07 ; tileset
 	db LORELEIS_ROOM_HEIGHT, LORELEIS_ROOM_WIDTH ; dimensions (y, x)
-	dw LoreleiBlocks, LoreleiTexts, LoreleiScript ; blocks, texts, scripts
+	dw LoreleiBlocks, LoreleiTextPointers, LoreleiScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw LoreleiObject ; objects
@@ -107446,7 +110006,7 @@ LoreleiScript: ; 7617b (1d:617b)
 	call LoreleiScript_Unknown76191
 	call EnableAutoTextBoxDrawing
 	ld hl, LoreleiTrainerHeaders
-	ld de, Unknown_761bb
+	ld de, LoreleiScriptPointers
 	ld a, [W_LORELEICURSCRIPT]
 	call ExecuteCurMapScriptInTable
 	ld [W_LORELEICURSCRIPT], a
@@ -107477,14 +110037,14 @@ Func_761b6: ; 761b6 (1d:61b6)
 	ld [W_LORELEICURSCRIPT], a
 	ret
 
-Unknown_761bb: ; 761bb (1d:61bb)
-dw Func_761e2
-dw Func_324c
-dw Func_7623f
-dw Func_7622c
-dw Func_761c5
+LoreleiScriptPointers: ; 761bb (1d:61bb)
+	dw LoreleiScript0
+	dw Func_324c
+	dw LoreleiScript2
+	dw LoreleiScript3
+	dw LoreleiScript4
 
-Func_761c5: ; 761c5 (1d:61c5)
+LoreleiScript4: ; 761c5 (1d:61c5)
 	ret
 asm_761c6: ; 761c6 (1d:61c6)
 	ld hl, $ccd3
@@ -107502,8 +110062,8 @@ asm_761c6: ; 761c6 (1d:61c6)
 	ld [W_LORELEICURSCRIPT], a
 	ld [W_CURMAPSCRIPT], a
 	ret
-Func_761e2: ; 761e2 (1d:61e2)
-	ld hl, Unknown_76223
+LoreleiScript0: ; 761e2 (1d:61e2)
+	ld hl, CoordsData_76223
 	call ArePlayerCoordsInArray
 	jp nc, CheckFightingMapTrainers
 	xor a
@@ -107532,10 +110092,14 @@ Func_761e2: ; 761e2 (1d:61e2)
 	ld [W_CURMAPSCRIPT], a
 	ret
 
-Unknown_76223: ; 76223 (1d:6223)
-INCBIN "baserom.gbc",$76223,$7622c - $76223
+CoordsData_76223: ; 76223 (1d:6223)
+	db $0A,$04
+	db $0A,$05
+	db $0B,$04
+	db $0B,$05
+	db $FF
 
-Func_7622c: ; 7622c (1d:622c)
+LoreleiScript3: ; 7622c (1d:622c)
 	ld a, [$cd38]
 	and a
 	ret nz
@@ -107545,7 +110109,7 @@ Func_7622c: ; 7622c (1d:622c)
 	ld [W_LORELEICURSCRIPT], a
 	ld [W_CURMAPSCRIPT], a
 	ret
-Func_7623f: ; 7623f (1d:623f)
+LoreleiScript2: ; 7623f (1d:623f)
 	call EndTrainerBattle
 	ld a, [W_ISINBATTLE] ; $d057
 	cp $ff
@@ -107554,8 +110118,9 @@ Func_7623f: ; 7623f (1d:623f)
 	ld [H_DOWNARROWBLINKCNT2], a ; $FF00+$8c
 	jp DisplayTextID
 
-LoreleiTexts: ; 76251 (1d:6251)
-	dw LoreleiText1, LoreleiText2
+LoreleiTextPointers: ; 76251 (1d:6251)
+	dw LoreleiText1
+	dw LoreleiText2
 
 LoreleiTrainerHeaders: ; 76255 (1d:6255)
 LoreleiTrainerHeader0: ; 76255 (1d:6255)
@@ -107567,7 +110132,7 @@ LoreleiTrainerHeader0: ; 76255 (1d:6255)
 	dw LoreleiEndBattleText ; 0x6271 TextEndBattle
 	dw LoreleiEndBattleText ; 0x6271 TextEndBattle
 
-db $ff
+	db $ff
 
 LoreleiText1: ; 76262 (1d:6262)
 	db $08 ; asm
@@ -107617,7 +110182,7 @@ LoreleiBlocks: ; 762ac (1d:62ac)
 Bruno_h: ; 0x762ca to 0x762d6 (12 bytes) (id=246)
 	db $07 ; tileset
 	db BRUNOS_ROOM_HEIGHT, BRUNOS_ROOM_WIDTH ; dimensions (y, x)
-	dw BrunoBlocks, BrunoTexts, BrunoScript ; blocks, texts, scripts
+	dw BrunoBlocks, BrunoTextPointers, BrunoScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw BrunoObject ; objects
@@ -107626,7 +110191,7 @@ BrunoScript: ; 762d6 (1d:62d6)
 	call BrunoScript_Unknown762ec
 	call EnableAutoTextBoxDrawing
 	ld hl, BrunoTrainerHeaders
-	ld de, Unknown_76312
+	ld de, BrunoScriptPointers
 	ld a, [W_BRUNOCURSCRIPT]
 	call ExecuteCurMapScriptInTable
 	ld [W_BRUNOCURSCRIPT], a
@@ -107656,14 +110221,14 @@ Func_7630d: ; 7630d (1d:630d)
 	ld [W_BRUNOCURSCRIPT], a
 	ret
 
-Unknown_76312: ; 76312 (1d:6312)
-dw Func_76339
-dw Func_324c
-dw Func_76396
-dw Func_76383
-dw Func_7631c
+BrunoScriptPointers: ; 76312 (1d:6312)
+	dw BrunoScript0
+	dw Func_324c
+	dw BrunoScript2
+	dw BrunoScript3
+	dw BrunoScript4
 
-Func_7631c: ; 7631c (1d:631c)
+BrunoScript4: ; 7631c (1d:631c)
 	ret
 asm_7631d: ; 7631d (1d:631d)
 	ld hl, $ccd3
@@ -107682,8 +110247,8 @@ asm_7631d: ; 7631d (1d:631d)
 	ld [W_CURMAPSCRIPT], a
 	ret
 
-Func_76339: ; 76339 (1d:6339)
-	ld hl, Unknown_7637a
+BrunoScript0: ; 76339 (1d:6339)
+	ld hl, CoordsData_7637a
 	call ArePlayerCoordsInArray
 	jp nc, CheckFightingMapTrainers
 	xor a
@@ -107712,10 +110277,14 @@ Func_76339: ; 76339 (1d:6339)
 	ld [W_CURMAPSCRIPT], a
 	ret
 
-Unknown_7637a: ; 7637a (1d:637a)
-INCBIN "baserom.gbc",$7637a,$76383 - $7637a
+CoordsData_7637a: ; 7637a (1d:637a)
+	db $0A,$04
+	db $0A,$05
+	db $0B,$04
+	db $0B,$05
+	db $FF
 
-Func_76383: ; 76383 (1d:6383)
+BrunoScript3: ; 76383 (1d:6383)
 	ld a, [$cd38]
 	and a
 	ret nz
@@ -107726,7 +110295,7 @@ Func_76383: ; 76383 (1d:6383)
 	ld [W_CURMAPSCRIPT], a
 	ret
 
-Func_76396: ; 76396 (1d:6396)
+BrunoScript2: ; 76396 (1d:6396)
 	call EndTrainerBattle
 	ld a, [W_ISINBATTLE] ; $d057
 	cp $ff
@@ -107735,8 +110304,9 @@ Func_76396: ; 76396 (1d:6396)
 	ld [H_DOWNARROWBLINKCNT2], a ; $FF00+$8c
 	jp DisplayTextID
 
-BrunoTexts: ; 763a8 (1d:63a8)
-	dw BrunoText1, BrunoText2
+BrunoTextPointers: ; 763a8 (1d:63a8)
+	dw BrunoText1
+	dw BrunoText2
 
 BrunoTrainerHeaders: ; 763ac (1d:63ac)
 BrunoTrainerHeader0: ; 763ac (1d:63ac)
@@ -107748,7 +110318,7 @@ BrunoTrainerHeader0: ; 763ac (1d:63ac)
 	dw BrunoEndBattleText ; 0x63c8 TextEndBattle
 	dw BrunoEndBattleText ; 0x63c8 TextEndBattle
 
-db $ff
+	db $ff
 
 BrunoText1: ; 763b9 (1d:63b9)
 	db $08 ; asm
@@ -107798,22 +110368,22 @@ BrunoBlocks: ; 76403 (1d:6403)
 Agatha_h: ; 0x76421 to 0x7642d (12 bytes) (id=247)
 	db $0f ; tileset
 	db AGATHAS_ROOM_HEIGHT, AGATHAS_ROOM_WIDTH ; dimensions (y, x)
-	dw AgathaBlocks, AgathaTexts, AgathaScript ; blocks, texts, scripts
+	dw AgathaBlocks, AgathaTextPointers, AgathaScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw AgathaObject ; objects
 
 AgathaScript: ; 7642d (1d:642d)
-	call AgathaScript_Unknown76443
+	call AgathaScript_76443
 	call EnableAutoTextBoxDrawing
 	ld hl, AgathaTrainerHeaders
-	ld de, Unknown_76469
+	ld de, AgathaScriptPointers
 	ld a, [W_AGATHACURSCRIPT]
 	call ExecuteCurMapScriptInTable
 	ld [W_AGATHACURSCRIPT], a
 	ret
 
-AgathaScript_Unknown76443: ; 76443 (1d:6443)
+AgathaScript_76443: ; 76443 (1d:6443)
 	ld hl, $d126
 	bit 5, [hl]
 	res 5, [hl]
@@ -107837,14 +110407,14 @@ Func_76464: ; 76464 (1d:6464)
 	ld [W_AGATHACURSCRIPT], a
 	ret
 
-Unknown_76469: ; 76469 (1d:6469)
-dw Func_76490
-dw Func_324c
-dw Func_764ed
-dw Func_764da
-dw Func_76473
+AgathaScriptPointers: ; 76469 (1d:6469)
+	dw AgathaScript0
+	dw Func_324c
+	dw AgathaScript2
+	dw AgathaScript3
+	dw AgathaScript4
 
-Func_76473: ; 76473 (1d:6473)
+AgathaScript4: ; 76473 (1d:6473)
 	ret
 asm_76474: ; 76474 (1d:6474)
 	ld hl, $ccd3
@@ -107863,8 +110433,8 @@ asm_76474: ; 76474 (1d:6474)
 	ld [W_CURMAPSCRIPT], a
 	ret
 
-Func_76490: ; 76490 (1d:6490)
-	ld hl, Unknown_764d1
+AgathaScript0: ; 76490 (1d:6490)
+	ld hl, CoordsData_764d1
 	call ArePlayerCoordsInArray
 	jp nc, CheckFightingMapTrainers
 	xor a
@@ -107893,10 +110463,14 @@ Func_76490: ; 76490 (1d:6490)
 	ld [W_CURMAPSCRIPT], a
 	ret
 
-Unknown_764d1: ; 764d1 (1d:64d1)
-INCBIN "baserom.gbc",$764d1,$764da - $764d1
+CoordsData_764d1: ; 764d1 (1d:64d1)
+	db $0A,$04
+	db $0A,$05
+	db $0B,$04
+	db $0B,$05
+	db $FF
 
-Func_764da: ; 764da (1d:64da)
+AgathaScript3: ; 764da (1d:64da)
 	ld a, [$cd38]
 	and a
 	ret nz
@@ -107907,7 +110481,7 @@ Func_764da: ; 764da (1d:64da)
 	ld [W_CURMAPSCRIPT], a
 	ret
 
-Func_764ed: ; 764ed (1d:64ed)
+AgathaScript2: ; 764ed (1d:64ed)
 	call EndTrainerBattle
 	ld a, [W_ISINBATTLE] ; $d057
 	cp $ff
@@ -107919,8 +110493,9 @@ Func_764ed: ; 764ed (1d:64ed)
 	ld [W_GARYCURSCRIPT], a
 	ret
 
-AgathaTexts: ; 76505 (1d:6505)
-	dw AgathaText1, AgathaText2
+AgathaTextPointers: ; 76505 (1d:6505)
+	dw AgathaText1
+	dw AgathaText2
 
 AgathaTrainerHeaders: ; 76509 (1d:6509)
 AgathaTrainerHeader0: ; 76509 (1d:6509)
@@ -107932,7 +110507,7 @@ AgathaTrainerHeader0: ; 76509 (1d:6509)
 	dw AgathaEndBattleText ; 0x6525 TextEndBattle
 	dw AgathaEndBattleText ; 0x6525 TextEndBattle
 
-db $ff
+	db $ff
 
 AgathaText1: ; 76516 (1d:6516)
 	db $08 ; asm
@@ -108694,17 +111269,17 @@ LoadAnimationTileset: ; 781d2 (1e:41d2)
 	jp CopyVideoData ; load tileset
 
 AnimationTilesetPointers: ; 781f2 (1e:41f2)
-db 79 ; number of tiles
-dw AnimationTileset1
-db $FF
+	db 79 ; number of tiles
+	dw AnimationTileset1
+	db $FF
 
-db 79 ; number of tiles
-dw AnimationTileset2
-db $FF
+	db 79 ; number of tiles
+	dw AnimationTileset2
+	db $FF
 
-db 64 ; number of tiles
-dw AnimationTileset1
-db $FF
+	db 64 ; number of tiles
+	dw AnimationTileset1
+	db $FF
 
 AnimationTileset1: ; 781fe (1e:41fe)
 	INCBIN "gfx/attack_anim_1.2bpp"
@@ -109254,8 +111829,8 @@ Func504C: ; 7904c (1e:504c)
 	jp PlaySound ; play sound
 
 BallMoveDistances1: ; 79078 (1e:5078)
-db -12,-12,-8
-db $ff ; terminator
+	db -12,-12,-8
+	db $ff ; terminator
 
 ; function to make the pokeball jump up
 ; XXX probably a trade-related animation
@@ -109296,8 +111871,8 @@ Func507C ; 507C
 	jr .loop
 
 BallMoveDistances2: ; 790b3 (1e:50b3)
-db 11,12,-12,-7,7,12,-8,8
-db $ff ; terminator
+	db 11,12,-12,-7,7,12,-8,8
+	db $ff ; terminator
 
 ; this function copies the current musical note graphic
 ; so that there are two musical notes flying towards the defending pokemon
@@ -109448,35 +112023,35 @@ AnimationFlashScreenLong: ; 79165 (1e:5165)
 
 ; BG palettes
 FlashScreenLongMonochrome: ; 7918e (1e:518e)
-db %11111001 ; 3, 3, 2, 1
-db %11111110 ; 3, 3, 3, 2
-db %11111111 ; 3, 3, 3, 3
-db %11111110 ; 3, 3, 3, 2
-db %11111001 ; 3, 3, 2, 1
-db %11100100 ; 3, 2, 1, 0
-db %10010000 ; 2, 1, 0, 0
-db %01000000 ; 1, 0, 0, 0
-db %00000000 ; 0, 0, 0, 0
-db %01000000 ; 1, 0, 0, 0
-db %10010000 ; 2, 1, 0, 0
-db %11100100 ; 3, 2, 1, 0
-db $01 ; terminator
+	db %11111001 ; 3, 3, 2, 1
+	db %11111110 ; 3, 3, 3, 2
+	db %11111111 ; 3, 3, 3, 3
+	db %11111110 ; 3, 3, 3, 2
+	db %11111001 ; 3, 3, 2, 1
+	db %11100100 ; 3, 2, 1, 0
+	db %10010000 ; 2, 1, 0, 0
+	db %01000000 ; 1, 0, 0, 0
+	db %00000000 ; 0, 0, 0, 0
+	db %01000000 ; 1, 0, 0, 0
+	db %10010000 ; 2, 1, 0, 0
+	db %11100100 ; 3, 2, 1, 0
+	db $01 ; terminator
 
 ; BG palettes
 FlashScreenLongSGB: ; 7919b (1e:519b)
-db %11111000 ; 3, 3, 2, 0
-db %11111100 ; 3, 3, 3, 0
-db %11111111 ; 3, 3, 3, 3
-db %11111100 ; 3, 3, 3, 0
-db %11111000 ; 3, 3, 2, 0
-db %11100100 ; 3, 2, 1, 0
-db %10010000 ; 2, 1, 0, 0
-db %01000000 ; 1, 0, 0, 0
-db %00000000 ; 0, 0, 0, 0
-db %01000000 ; 1, 0, 0, 0
-db %10010000 ; 2, 1, 0, 0
-db %11100100 ; 3, 2, 1, 0
-db $01 ; terminator
+	db %11111000 ; 3, 3, 2, 0
+	db %11111100 ; 3, 3, 3, 0
+	db %11111111 ; 3, 3, 3, 3
+	db %11111100 ; 3, 3, 3, 0
+	db %11111000 ; 3, 3, 2, 0
+	db %11100100 ; 3, 2, 1, 0
+	db %10010000 ; 2, 1, 0, 0
+	db %01000000 ; 1, 0, 0, 0
+	db %00000000 ; 0, 0, 0, 0
+	db %01000000 ; 1, 0, 0, 0
+	db %10010000 ; 2, 1, 0, 0
+	db %11100100 ; 3, 2, 1, 0
+	db $01 ; terminator
 
 ; causes a delay of 2 frames for the first cycle
 ; causes a delay of 1 frame for the second and third cycles
@@ -110246,7 +112821,11 @@ Func_79862: ; 79862 (1e:5862)
 	jr nz, Func_79862
 	ret
 
-INCBIN "baserom.gbc",$79869,$7986f - $79869
+Func_79869: ; 79869 (1e:5869)
+	ld a, b
+	call Func586F
+	ld b, a
+	ret
 
 Func586F: ; 7986f (1e:586f)
 	ld hl,MoveSoundTable
@@ -111184,8 +113763,6 @@ TechnicalMachinePrices: ; 7bfa7 (1e:7fa7)
 	db $55, $52, $54, $52, $41
 	db $21, $12, $42, $25, $24
 	db $22, $52, $24, $34, $42
-; 7bfc0
-
 
 SECTION "bank1F",ROMX,BANK[$1F]
 
@@ -116938,7 +119515,6 @@ _MonWasStoredText: ; 0x8a159
 	db "stored in Box @"
 	TX_RAM $cd3d
 	db $0, ".", $58
-; 30 bytes
 
 _CantDepositLastMonText: ; 0x8a177
 	db $0, "You can't deposit", $4f
@@ -117022,7 +119598,6 @@ _OopsYouDontHaveEnoughRoomText: ; 8a329 (22:6329)
 
 _OhFineThenText: ; 8a34c (22:634c)
 	db 0,"Oh, fine then.@@"
-;635d
 
 _UnnamedText_1e93b: ; 8a35d (22:635d)
 	db $0, "Want to get your", $4f
@@ -117254,7 +119829,7 @@ _UnnamedText_56428: ; 8ac7d (22:6c7d)
 	db $0, "You owe me ¥@"
 
 ;XXX
-db $2, $3f, $cd, $c2
+	db $2, $3f, $cd, $c2
 
 UnknownText_8ac8f: ; 8ac8f (22:6c8f)
 	db $0, $4f
@@ -117365,92 +119940,92 @@ _RockTunnelPokecenterText3: ; 8c316 (23:4316)
 	db $0, "I sold a useless", $4f
 	db "NUGGET for ¥5000!", $57
 
-_UnnamedText_44588: ; 8c33a (23:433a)
+_RockTunnel1BattleText1: ; 8c33a (23:433a)
 	db $0, "This tunnel goes", $4f
 	db "a long way, kid!", $57
 
-_UnnamedText_4458d: ; 8c35d (23:435d)
+_RockTunnel1EndBattleText1: ; 8c35d (23:435d)
 	db $0, "Doh!", $4f
 	db "You win!", $58
 
-_UnnamedText_44592: ; 8c36c (23:436c)
+_RockTunnel1AfterBattleText1: ; 8c36c (23:436c)
 	db $0, "Watch for ONIX!", $4f
 	db "It can put the", $55
 	db "squeeze on you!", $57
 
-_UnnamedText_44597: ; 8c39c (23:439c)
+_RockTunnel1BattleText2: ; 8c39c (23:439c)
 	db $0, "Hmm. Maybe I'm", $4f
 	db "lost in here...", $57
 
-_UnnamedText_4459c: ; 8c3bb (23:43bb)
+_RockTunnel1EndBattleText2: ; 8c3bb (23:43bb)
 	db $0, "Ease up!", $4f
 	db "What am I doing?", $55
 	db "Which way is out?", $58
 
-_UnnamedText_445a1: ; 8c3e8 (23:43e8)
+_RockTunnel1AfterBattleText2: ; 8c3e8 (23:43e8)
 	db $0, "That sleeping", $4f
 	db "#MON on ROUTE", $55
 	db "12 forced me to", $55
 	db "take this detour.", $57
 
-_UnnamedText_445a6: ; 8c427 (23:4427)
+_RockTunnel1BattleText3: ; 8c427 (23:4427)
 	db $0, "Outsiders like", $4f
 	db "you need to show", $55
 	db "me some respect!", $57
 
-_UnnamedText_445ab: ; 8c459 (23:4459)
+_RockTunnel1EndBattleText3: ; 8c459 (23:4459)
 	db $0, "I give!", $58
 
-_UnnamedText_445b0: ; 8c462 (23:4462)
+_RockTunnel1AfterBattleText3: ; 8c462 (23:4462)
 	db $0, "You're talented", $4f
 	db "enough to hike!", $57
 
-_UnnamedText_445b5: ; 8c482 (23:4482)
+_RockTunnel1BattleText4: ; 8c482 (23:4482)
 	db $0, "#MON fight!", $4f
 	db "Ready, go!", $57
 
-_UnnamedText_445ba: ; 8c49a (23:449a)
+_RockTunnel1EndBattleText4: ; 8c49a (23:449a)
 	db $0, "Game", $4f
 	db "over!", $58
 
-_UnnamedText_445bf: ; 8c4a6 (23:44a6)
+_RockTunnel1AfterBattleText4: ; 8c4a6 (23:44a6)
 	db $0, "Oh well, I'll get", $4f
 	db "a ZUBAT as I go!", $57
 
-_UnnamedText_445c4: ; 8c4c9 (23:44c9)
+_RockTunnel1BattleText5: ; 8c4c9 (23:44c9)
 	db $0, "Eek! Don't try", $4f
 	db "anything funny in", $55
 	db "the dark!", $57
 
-_UnnamedText_445c9: ; 8c4f4 (23:44f4)
+_RockTunnel1EndBattleText5: ; 8c4f4 (23:44f4)
 	db $0, "It", $4f
 	db "was too dark!", $58
 
-_UnnamedText_445ce: ; 8c506 (23:4506)
+_RockTunnel1AfterBattleText5: ; 8c506 (23:4506)
 	db $0, "I saw a MACHOP", $4f
 	db "in this tunnel!", $57
 
-_UnnamedText_445d3: ; 8c526 (23:4526)
+_RockTunnel1BattleText6: ; 8c526 (23:4526)
 	db $0, "I came this far", $4f
 	db "for #MON!", $57
 
-_UnnamedText_445d8: ; 8c541 (23:4541)
+_RockTunnel1EndBattleText6: ; 8c541 (23:4541)
 	db $0, "I'm", $4f
 	db "out of #MON!", $58
 
-_UnnamedText_445dd: ; 8c552 (23:4552)
+_RockTunnel1AfterBattleText6: ; 8c552 (23:4552)
 	db $0, "You looked cute", $4f
 	db "and harmless!", $57
 
-_UnnamedText_445e2: ; 8c571 (23:4571)
+_RockTunnel1BattleText7: ; 8c571 (23:4571)
 	db $0, "You have #MON!", $4f
 	db "Let's start!", $57
 
-_UnnamedText_445e7: ; 8c58d (23:458d)
+_RockTunnel1EndBattleText7: ; 8c58d (23:458d)
 	db $0, "You", $4f
 	db "play hard!", $58
 
-_UnnamedText_445ec: ; 8c59d (23:459d)
+_RockTunnel1AfterBattleText7: ; 8c59d (23:459d)
 	db $0, "Whew! I'm all", $4f
 	db "sweaty now!", $57
 
@@ -119935,7 +122510,7 @@ _Route22Text3: ; 92606 (24:6606)
 	db $0, "#MON LEAGUE", $4f
 	db "Front Gate", $57
 
-UnknownText_9261e: ; 9261e (24:661e)
+_VictoryRoadGuardText1: ; 9261e (24:661e)
 	db $0, "You can pass here", $4f
 	db "only if you have", $55
 	db "the @"
@@ -119953,7 +122528,7 @@ UnknownText_92660: ; 92660 (24:6660)
 	db "it to get to", $55
 	db "#MON LEAGUE!@@"
 
-UnknownText_92696: ; 92696 (24:6696)
+_VictoryRoadGuardText2: ; 92696 (24:6696)
 	db $0, "You can pass here", $4f
 	db "only if you have", $55
 	db "the @"
@@ -122598,7 +125173,7 @@ _VermilionHouse1Text3: ; 9c49c (27:449c)
 	db "VERMILION appears", $4f
 	db "to be safe.", $57
 
-_UnnamedText_1dcc1: ; 9c50e (27:450e)
+_VermilionDockText1: ; 9c50e (27:450e)
 	db $0, $57
 
 _UnnamedText_560b1: ; 9c510 (27:4510)
